package com.gyee.frame.mapper.custom;

import com.gyee.frame.model.auto.TvuePermission;

import java.util.List;

public interface PermissionVueDao {
	/**
	 * 查询全部VUE权限
	 * @return
	 */
	List<TvuePermission> findAll();
	 
	 /**
	  * 根据用户id查询出用户的所有权限
	  * @param userId
	  * @return
	  */
	 List<TvuePermission> findByAdminUserId(String userId);
	 
	 /**
	  * 根据角色id查询权限
	  * @param roleid
	  * @return
	  */
	 List<TvuePermission> queryRoleId(String roleid);
	 
	 
	 
	 
}
